# Sino Connect

Documentation for China NFC eID for the various endpoints that we offer.

Should be used in conjuction with the SDK provided by Fill Easy, to read Chinese ID card data.

Clients will need to retrieve the ReqID from their mobile application, and pass the Req ID in `Poll Data` to retrieve the encrypted data from our system.

## NFC Poll

> Used in conjunction with the SDK that we provide.

```json
{"openapi":"3.1.0","info":{"title":"Fill Easy Services","version":"1.0.0"},"tags":[{"name":"Sino Connect","description":"Documentation for China NFC eID for the various endpoints that we offer.\n\n\nShould be used in conjuction with the SDK provided by Fill Easy, to read\nChinese ID card data.\n\n\nClients will need to retrieve the ReqID from their mobile application, and\npass the Req ID in `Poll Data` to retrieve the encrypted data from our\nsystem.\n"}],"servers":[{"url":"sandbox.staging-api.fill-easy.com"}],"security":[{"ClientID":[],"ClientSecret":[]}],"components":{"securitySchemes":{"ClientID":{"type":"apiKey","description":"Client ID in x-client-id header.","name":"x-client-id","in":"header"}},"responses":{"BadRequest":{"description":"Bad Request - Invalid input parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","required":["error"],"properties":{"error":{"type":"string","description":"Error message"}}}}},"paths":{"/sino-connect/nfc/callback":{"post":{"tags":["Sino Connect"],"summary":"NFC Poll","description":"Used in conjunction with the SDK that we provide.","operationId":"nfcPoll","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["reqid"],"properties":{"reqid":{"type":"string","minLength":1,"description":"Request ID from NFC scan"}}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","required":["message","token"],"properties":{"message":{"type":"string","description":"Status message"},"token":{"type":"string","description":"JWE encrypted token containing NFC data"}}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```

## Face Recognition Request

> Initialize a face recognition session by passing your redirect URL.\
> \
> Returns a \*\*launch URL\*\* (open on a \*\*mobile browser\*\*) and a \*\*JWT\*\* \*\*\`token\`\*\* that you must keep for polling status.\
> Use the returned \*\*\`url\`\*\* to open an in-app web view or the system browser on the phone.\
> After the user completes or cancels the H5 flow, the browser is redirected to your provided callback URL.

```json
{"openapi":"3.1.0","info":{"title":"Fill Easy Services","version":"1.0.0"},"tags":[{"name":"Sino Connect","description":"Documentation for China NFC eID for the various endpoints that we offer.\n\n\nShould be used in conjuction with the SDK provided by Fill Easy, to read\nChinese ID card data.\n\n\nClients will need to retrieve the ReqID from their mobile application, and\npass the Req ID in `Poll Data` to retrieve the encrypted data from our\nsystem.\n"}],"servers":[{"url":"sandbox.staging-api.fill-easy.com"}],"security":[{"ClientID":[],"ClientSecret":[]}],"components":{"securitySchemes":{"ClientID":{"type":"apiKey","description":"Client ID in x-client-id header.","name":"x-client-id","in":"header"}},"schemas":{"RedirectUri":{"type":"string","description":"Redirect URI after user authorization.\n\nBrowser: https URL to your website.\n\nMobile: Universal link (your-app://) or app scheme.\n"}}},"paths":{"/sino-connect/face-rec/request":{"post":{"tags":["Sino Connect"],"summary":"Face Recognition Request","description":"Initialize a face recognition session by passing your redirect URL.\n\nReturns a **launch URL** (open on a **mobile browser**) and a **JWT** **`token`** that you must keep for polling status.\nUse the returned **`url`** to open an in-app web view or the system browser on the phone.\nAfter the user completes or cancels the H5 flow, the browser is redirected to your provided callback URL.","operationId":"faceReqRequest","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["redirect"],"properties":{"redirect":{"$ref":"#/components/schemas/RedirectUri"}}}}}},"responses":{"200":{"description":"200 Success","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"token":{"type":"string"},"url":{"type":"string"}}}}}}}}}}}
```

## Face Recognition Poll

> Used to poll for the face recognition result after user action.

```json
{"openapi":"3.1.0","info":{"title":"Fill Easy Services","version":"1.0.0"},"tags":[{"name":"Sino Connect","description":"Documentation for China NFC eID for the various endpoints that we offer.\n\n\nShould be used in conjuction with the SDK provided by Fill Easy, to read\nChinese ID card data.\n\n\nClients will need to retrieve the ReqID from their mobile application, and\npass the Req ID in `Poll Data` to retrieve the encrypted data from our\nsystem.\n"}],"servers":[{"url":"sandbox.staging-api.fill-easy.com"}],"security":[{"ClientID":[],"ClientSecret":[]}],"components":{"securitySchemes":{"ClientID":{"type":"apiKey","description":"Client ID in x-client-id header.","name":"x-client-id","in":"header"}}},"paths":{"/sino-connect/face-rec/callback":{"post":{"tags":["Sino Connect"],"summary":"Face Recognition Poll","description":"Used to poll for the face recognition result after user action.","operationId":"faceReqPoll","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["token"],"properties":{"token":{"type":"string"}}}}}},"responses":{"200":{"description":"200 Success","content":{"application/json":{"schema":{"type":"object","properties":{"faceImage":{"type":"string"},"sceneImage":{"type":"string"},"message":{"type":"string"}}}}}},"202":{"description":"Pending","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fill-easy.com/sino-connect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
